<link href="https://fonts.googleapis.com/css?family=Athiti:600" rel="stylesheet">

<ion-header no-border style="margin-top: 5%; margin-bottom: 5%;">
  <ion-navbar>
    <button ion-button menuToggle (click)="back()">
      <ion-icon name="ios-arrow-back" class="icon-header"></ion-icon>
    </button>
    <!-- <ion-title>กลับ
      </ion-title> -->
  </ion-navbar>
</ion-header>

<ion-content class="auth-bg bg-all-parent">
  <ion-grid style="margin-top: 10%;">

    <ion-row>
      <ion-col col-12 class="menudiv" text-center>
        <ion-item no-lines class="menubar">
          <ion-label class="fontmenu">ใบคำศัพท์</ion-label>
        </ion-item>
        <ion-item no-border no-lines class="level">
          <img style="border-radius: 50%;" class="image-title" src="{{student_img}}">
          <ion-icon *ngIf="student_level == '1' || student_level == '2' " name="md-bookmark" class="bookmark">
          </ion-icon>
          <ion-icon *ngIf="student_level == '1' " name="md-star" class="star"></ion-icon>
        </ion-item>
      </ion-col>
    </ion-row>
    <ion-row>

        <ion-col col-12 text-center>
            <ion-list margin-top class="vocab-list" *ngFor="let vocabGroup of vocabList" style="background: #fff; padding-left: 10px; padding-top: 5px; padding-bottom: 5px; padding-right: 10px; border-radius: 10px;">
    
            <ion-label class="watermark-logo">
                <ion-row *ngFor="let vocab of vocabGroup.vocab"> 
                  <ion-col col-4>
                    <ion-label text-wrap margin-top margin-left class="name">{{vocab.vocab}}</ion-label>
                  </ion-col>
  
                  <ion-col col-7 >
                    <ion-col *ngFor="let desc of vocab.definition">
                      <ion-label text-wrap no-margin class="name">{{desc.definition}}</ion-label>
                    </ion-col>
                  </ion-col>
  
                  <ion-col col-1 >
                    <ion-icon margin-top name="mic" style=" font-size: 25px;" (click)="speaText(vocab.vocab)">
                    </ion-icon>
                  </ion-col>
  
                  </ion-row>
                </ion-label>

        </ion-list>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>